/**
 * Java
 * Copyright 2012 IS2T. All rights reserved
 * For demonstration purpose only
 * IS2T PROPRIETARY / Use is subject to license terms.
 */
package com.is2t.gpios;

//this class should only be accessed by GPIOs API
/* package */class GPIOsNatives {
	/**
	 * Error code for calls with invalid id.
	 */
	public static final int INVALID_ID = -1;

	/**
	 * Initialize the GPIOs.
	 */
	/* package */static native void initGPIOs();

	/**
	 * Gets the number of available GPIOs.<br>
	 * Requires that {@link #initGPIOs()} is called before.
	 *
	 * @return the number of GPIOs
	 */
	/* package */static native int getGPIOsCount();

	/**
	 * Toggles the state of a GPIO.<br>
	 * Requires that {@link #initGPIOs()} is called before.
	 *
	 * @param id
	 *            the index of the GPIO to toggle
	 * @return {@link #INVALID_ID} if the given id is invalid
	 */
	/* package */static native int toggleGPIO(int id);
}
