/**
 * Java
 * Copyright 2012 IS2T. All rights reserved
 * For demonstration purpose only
 * IS2T PROPRIETARY / Use is subject to license terms.
 */
package com.is2t.examples.gpios;

import com.is2t.gpios.GPIOs;

/**
 * Main class of the GPIO example.
 * Creates tasks that toggle the GPIO pins, with each available pin
 * having a period twice the preceding pin.
 */
public class GPIOsExample {

	public static void main(String[] args) {
		int count = GPIOs.getGPIOsCount();
		int halfPeriodInMilliseconds = 60;
		for (int gpioId = 0; gpioId < count; gpioId++) {
			GPIOs.blinkGPIO(gpioId, halfPeriodInMilliseconds);
			halfPeriodInMilliseconds = halfPeriodInMilliseconds * 2;
		}
	}
}
